net.sf.jasperreports.charts.fill

## Class JRFillMultiAxisPlot

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRFillChartPlot
  - - net.sf.jasperreports.charts.fill.JRFillMultiAxisPlot

- All Implemented Interfaces:
    java.lang.Cloneable, JRMultiAxisPlot, JRChartPlot, JRCloneable

      public class JRFillMultiAxisPlot
      extends JRFillChartPlot
      implements JRMultiAxisPlot

  Version:
    $Id: JRFillMultiAxisPlot.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Barry Klawans (bklawans@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `JRChartPlot.JRSeriesColor`

  - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRFillChartPlot

      `chart, parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRFillMultiAxisPlot(JRMultiAxisPlot multiAxisPlot, JRFillObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<JRChartAxis>` | `getAxes()` Returns a List of all the children axis.
    `JRFillChartDataset` | `getMainDataset()`
    `protected void` | `setBand(JRFillBand band)`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRFillChartPlot

      `addSeriesColor, clearSeriesColors, clone, clone, collectExpressions, getBackcolor, getBackgroundAlphaFloat, getChart, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `addSeriesColor, clearSeriesColors, clone, collectExpressions, getBackcolor, getBackgroundAlphaFloat, getChart, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Constructor Detail

    - #### JRFillMultiAxisPlot

          public JRFillMultiAxisPlot(JRMultiAxisPlot multiAxisPlot,
                             JRFillObjectFactory factory)

  - ### Method Detail

    - #### setBand

          protected void setBand(JRFillBand band)

      Overrides:
        `setBand` in class `JRFillChartPlot`

    - #### getAxes

          public java.util.List<JRChartAxis> getAxes()

      Description copied from interface: `JRMultiAxisPlot`
      Returns a List of all the children axis. Each element is of type `net.sf.jasperreports.charts.util.JRChartAxis`.
      Specified by:
        `getAxes` in interface `JRMultiAxisPlot`

    - #### getMainDataset

          public JRFillChartDataset getMainDataset()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com